* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Georgia', serif;
  background-color: #ffffff;
  color: #1a1a1a;
  display: flex;
  flex-direction: column;
  /* min-height: 100vh; */
}

.header {
  padding: 0rem 0.5rem;
  background-color:#fff;
  position: absolute;
  top: 0;
  width: 100%;
}

.logo img{
  width: 160px;
}
/* ------------------------------------------------------------------ */

.main-content {
  flex: 1;
  margin-top: 100px;
}

.hero-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.text-content {
  /* background-color: #f8f9fa; */
  padding: 0.5rem;
  border-radius: 10px;
}

.main-heading {
  font-size: 1.2rem;
  color: #2563eb;
  font-style: italic;
  font-weight: 700;
  line-height: 1.2;
  margin-bottom: 1.5rem;
  text-align: center;
}

.tagline {
  font-size: 1rem;
  color: #1a1a1a;
  line-height: 1.6;
  margin-bottom: 2rem;
  text-align: center;
}

.cta-button-container {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.cta-button {
  background-color: #2563eb;
  color: white;
  font-size: 1.1rem;
  padding: 0.9rem 2rem;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  transition: all 0.3s ease;
  
}

.cta-button:hover {
  background-color: #1d4ed8;
  transform: translateY(-3px);
}

/* ---------- Image ---------- */
.image-content {
  display: flex;
  justify-content: center;
  align-items: center;
}

.dog-image {
  width: 100%;
  max-width: 300px;
  height: 100%;
  aspect-ratio: 3/4;
  border-radius: 10px;
  background-repeat: no-repeat;
  background-size: contain;
}
/* --------------------------------------------------------------------------------------- */

.footer {
  background: linear-gradient(135deg, #2563eb 0%, #1d4ed8 100%);
  padding: 1rem;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.service-card {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  color: white;
}

.service-icon {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1rem;
  font-weight: bold;
  color: #2563eb;
  border: 4px solid white;
  transition: transform 0.3s ease, background-color 0.3s ease;
}

.service-icon:hover {
  transform: scale(1.1);
  background-color: #e0e7ff;
}

.service-text {
  display: flex;
  flex-direction: column;
}

.service-title {
  font-size: 1rem;
  font-weight: 600;
}

.service-subtitle {
  font-size: 0.8rem;
  font-weight: 600;
}


@media (min-width: 768px) {
  .header {
    padding: 0rem 0.5rem;
  }
  .logo img{
  width: 180px;
  }

  .main-content {
  margin-top: 120px;
}

.hero-section {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 30px;
}

.text-content {
  width: 40%;
  padding: 0.5rem;
  border-radius: 10px;
}

.main-heading {
  font-size: 2rem;
  line-height: 1.5;
}

.tagline {
  font-size: 1.4rem;
  color: #1a1a1a;
  line-height: 1.6;
  margin-bottom: 2rem;
  text-align: center;
}

.image-content {
 width: 40%;
}

.dog-image {
  max-width: 400px;
}
.footer {
  background: linear-gradient(135deg, #2563eb 0%, #1d4ed8 100%);
  padding: 1rem;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  max-width: 95%;
}

.service-icon {
  width: 50px;
  height: 50px;
  font-size: 1rem;
}

.service-icon:hover {
  transform: scale(1.1);
  background-color: #e0e7ff;
}

.service-text {
  display: flex;
  flex-direction: column;
}

.service-title {
  font-size: 1.1rem;
  font-weight: 600;
}

.service-subtitle {
  font-size: 0.9rem;
  font-weight: 600;
}


}

@media (min-width: 1024px) {
  .header {
    max-width: 1000px;
    padding: 0rem 4rem;
  }
  .logo img{
  width: 200px;
}

.hero-section {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 30px;
}

.text-content {
  width: 40%;
  padding: 0.5rem;
  border-radius: 10px;
}

.main-heading {
  font-size: 2.5rem;
}

.tagline {
  font-size: 1.8rem;
}
.image-content {
 width: 40%;
}

.dog-image {
  max-width: 480px;
}

.footer {
  background: linear-gradient(135deg, #2563eb 0%, #1d4ed8 100%);
  padding: 1rem;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  max-width: 95%;
}

.service-icon {
  width: 60px;
  height: 60px;
  font-size: 1.2rem;
}

.service-icon:hover {
  transform: scale(1.3);
  background-color: #e0e7ff;
}

.service-text {
  display: flex;
  flex-direction: column;
}

.service-title {
  font-size: 1.2rem;
  font-weight: 600;
}

.service-subtitle {
  font-size: 1rem;
  font-weight: 600;
}

}
@media (min-width: 1440px) {
  .footer {
  flex-direction: row;
  justify-content: space-around;
}

.service-icon {
  width: 60px;
  height: 60px;
  font-size: 1.2rem;
}

.service-icon:hover {
  transform: scale(1.3);
  background-color: #e0e7ff;
}

.service-text {
  display: flex;
  flex-direction: column;
}

.service-title {
  font-size: 1.2rem;
  font-weight: 600;
}

.service-subtitle {
  font-size: 1rem;
  font-weight: 600;
}

}